package com.onfido.sdk.flutter.serializer

import com.onfido.android.sdk.capture.utils.CountryCode


fun getCountryCodeFrom(country: String): CountryCode {
    return when (country) {
        "BGD" -> CountryCode.BD
        "BEL" -> CountryCode.BE
        "BFA" -> CountryCode.BF
        "BGR" -> CountryCode.BG
        "BIH" -> CountryCode.BA
        "BRB" -> CountryCode.BB
        "WLF" -> CountryCode.WF
        "BLM" -> CountryCode.BL
        "BMU" -> CountryCode.BM
        "BRN" -> CountryCode.BN
        "BOL" -> CountryCode.BO
        "BHR" -> CountryCode.BH
        "BDI" -> CountryCode.BI
        "BEN" -> CountryCode.BJ
        "BTN" -> CountryCode.BT
        "JAM" -> CountryCode.JM
        "BVT" -> CountryCode.BV
        "BWA" -> CountryCode.BW
        "WSM" -> CountryCode.WS
        "BES" -> CountryCode.BQ
        "BRA" -> CountryCode.BR
        "BHS" -> CountryCode.BS
        "JEY" -> CountryCode.JE
        "BLR" -> CountryCode.BY
        "BLZ" -> CountryCode.BZ
        "RUS" -> CountryCode.RU
        "RWA" -> CountryCode.RW
        "SRB" -> CountryCode.RS
        "TLS" -> CountryCode.TL
        "REU" -> CountryCode.RE
        "TKM" -> CountryCode.TM
        "TJK" -> CountryCode.TJ
        "ROU" -> CountryCode.RO
        "TKL" -> CountryCode.TK
        "GNB" -> CountryCode.GW
        "GUM" -> CountryCode.GU
        "GTM" -> CountryCode.GT
        "SGS" -> CountryCode.GS
        "GRC" -> CountryCode.GR
        "GNQ" -> CountryCode.GQ
        "GLP" -> CountryCode.GP
        "JPN" -> CountryCode.JP
        "GUY" -> CountryCode.GY
        "GGY" -> CountryCode.GG
        "GUF" -> CountryCode.GF
        "GEO" -> CountryCode.GE
        "GRD" -> CountryCode.GD
        "GBR" -> CountryCode.GB
        "GAB" -> CountryCode.GA
        "SLV" -> CountryCode.SV
        "GIN" -> CountryCode.GN
        "GMB" -> CountryCode.GM
        "GRL" -> CountryCode.GL
        "GIB" -> CountryCode.GI
        "GHA" -> CountryCode.GH
        "OMN" -> CountryCode.OM
        "TUN" -> CountryCode.TN
        "JOR" -> CountryCode.JO
        "HRV" -> CountryCode.HR
        "HTI" -> CountryCode.HT
        "HUN" -> CountryCode.HU
        "HKG" -> CountryCode.HK
        "HND" -> CountryCode.HN
        "HMD" -> CountryCode.HM
        "VEN" -> CountryCode.VE
        "PRI" -> CountryCode.PR
        "PSE" -> CountryCode.PS
        "PLW" -> CountryCode.PW
        "PRT" -> CountryCode.PT
        "SJM" -> CountryCode.SJ
        "PRY" -> CountryCode.PY
        "IRQ" -> CountryCode.IQ
        "PAN" -> CountryCode.PA
        "PYF" -> CountryCode.PF
        "PNG" -> CountryCode.PG
        "PER" -> CountryCode.PE
        "PAK" -> CountryCode.PK
        "PHL" -> CountryCode.PH
        "PCN" -> CountryCode.PN
        "POL" -> CountryCode.PL
        "SPM" -> CountryCode.PM
        "ZMB" -> CountryCode.ZM
        "ESH" -> CountryCode.EH
        "EST" -> CountryCode.EE
        "EGY" -> CountryCode.EG
        "ZAF" -> CountryCode.ZA
        "ECU" -> CountryCode.EC
        "ITA" -> CountryCode.IT
        "VNM" -> CountryCode.VN
        "SLB" -> CountryCode.SB
        "ETH" -> CountryCode.ET
        "SOM" -> CountryCode.SO
        "ZWE" -> CountryCode.ZW
        "SAU" -> CountryCode.SA
        "ESP" -> CountryCode.ES
        "ERI" -> CountryCode.ER
        "MNE" -> CountryCode.ME
        "MDA" -> CountryCode.MD
        "MDG" -> CountryCode.MG
        "MAF" -> CountryCode.MF
        "MAR" -> CountryCode.MA
        "MCO" -> CountryCode.MC
        "UZB" -> CountryCode.UZ
        "MMR" -> CountryCode.MM
        "MLI" -> CountryCode.ML
        "MAC" -> CountryCode.MO
        "MNG" -> CountryCode.MN
        "MHL" -> CountryCode.MH
        "MKD" -> CountryCode.MK
        "MUS" -> CountryCode.MU
        "MLT" -> CountryCode.MT
        "MWI" -> CountryCode.MW
        "MDV" -> CountryCode.MV
        "MTQ" -> CountryCode.MQ
        "MNP" -> CountryCode.MP
        "MSR" -> CountryCode.MS
        "IMN" -> CountryCode.IM
        "UGA" -> CountryCode.UG
        "TZA" -> CountryCode.TZ
        "MYS" -> CountryCode.MY
        "MEX" -> CountryCode.MX
        "ISR" -> CountryCode.IL
        "FRA" -> CountryCode.FR
        "IOT" -> CountryCode.IO
        "SHN" -> CountryCode.SH
        "FIN" -> CountryCode.FI
        "FJI" -> CountryCode.FJ
        "FLK" -> CountryCode.FK
        "FSM" -> CountryCode.FM
        "FRO" -> CountryCode.FO
        "NIC" -> CountryCode.NI
        "NLD" -> CountryCode.NL
        "NOR" -> CountryCode.NO
        "NAM" -> CountryCode.NA
        "VUT" -> CountryCode.VU
        "NCL" -> CountryCode.NC
        "NER" -> CountryCode.NE
        "NFK" -> CountryCode.NF
        "NGA" -> CountryCode.NG
        "NZL" -> CountryCode.NZ
        "NPL" -> CountryCode.NP
        "NRU" -> CountryCode.NR
        "NIU" -> CountryCode.NU
        "COK" -> CountryCode.CK
        "XKX" -> CountryCode.XK
        "CIV" -> CountryCode.CI
        "CHE" -> CountryCode.CH
        "COL" -> CountryCode.CO
        "CHN" -> CountryCode.CN
        "CMR" -> CountryCode.CM
        "CHL" -> CountryCode.CL
        "CCK" -> CountryCode.CC
        "CAN" -> CountryCode.CA
        "COG" -> CountryCode.CG
        "CAF" -> CountryCode.CF
        "COD" -> CountryCode.CD
        "CZE" -> CountryCode.CZ
        "CYP" -> CountryCode.CY
        "CXR" -> CountryCode.CX
        "CRI" -> CountryCode.CR
        "CUW" -> CountryCode.CW
        "CPV" -> CountryCode.CV
        "CUB" -> CountryCode.CU
        "SWZ" -> CountryCode.SZ
        "SYR" -> CountryCode.SY
        "SXM" -> CountryCode.SX
        "KGZ" -> CountryCode.KG
        "KEN" -> CountryCode.KE
        "SSD" -> CountryCode.SS
        "SUR" -> CountryCode.SR
        "KIR" -> CountryCode.KI
        "KHM" -> CountryCode.KH
        "KNA" -> CountryCode.KN
        "COM" -> CountryCode.KM
        "STP" -> CountryCode.ST
        "SVK" -> CountryCode.SK
        "KOR" -> CountryCode.KR
        "SVN" -> CountryCode.SI
        "PRK" -> CountryCode.KP
        "KWT" -> CountryCode.KW
        "SEN" -> CountryCode.SN
        "SMR" -> CountryCode.SM
        "SLE" -> CountryCode.SL
        "SYC" -> CountryCode.SC
        "KAZ" -> CountryCode.KZ
        "CYM" -> CountryCode.KY
        "SGP" -> CountryCode.SG
        "SWE" -> CountryCode.SE
        "SDN" -> CountryCode.SD
        "DOM" -> CountryCode.DO
        "DMA" -> CountryCode.DM
        "DJI" -> CountryCode.DJ
        "DNK" -> CountryCode.DK
        "VGB" -> CountryCode.VG
        "DEU" -> CountryCode.DE
        "YEM" -> CountryCode.YE
        "DZA" -> CountryCode.DZ
        "USA" -> CountryCode.US
        "URY" -> CountryCode.UY
        "MYT" -> CountryCode.YT
        "UMI" -> CountryCode.UM
        "LBN" -> CountryCode.LB
        "LCA" -> CountryCode.LC
        "LAO" -> CountryCode.LA
        "TUV" -> CountryCode.TV
        "TWN" -> CountryCode.TW
        "TTO" -> CountryCode.TT
        "TUR" -> CountryCode.TR
        "LKA" -> CountryCode.LK
        "LIE" -> CountryCode.LI
        "LVA" -> CountryCode.LV
        "TON" -> CountryCode.TO
        "LTU" -> CountryCode.LT
        "LUX" -> CountryCode.LU
        "LBR" -> CountryCode.LR
        "LSO" -> CountryCode.LS
        "THA" -> CountryCode.TH
        "ATF" -> CountryCode.TF
        "TGO" -> CountryCode.TG
        "TCD" -> CountryCode.TD
        "TCA" -> CountryCode.TC
        "LBY" -> CountryCode.LY
        "VAT" -> CountryCode.VA
        "VCT" -> CountryCode.VC
        "ARE" -> CountryCode.AE
        "AND" -> CountryCode.AD
        "ATG" -> CountryCode.AG
        "AFG" -> CountryCode.AF
        "AIA" -> CountryCode.AI
        "VIR" -> CountryCode.VI
        "ISL" -> CountryCode.IS
        "IRN" -> CountryCode.IR
        "ARM" -> CountryCode.AM
        "ALB" -> CountryCode.AL
        "AGO" -> CountryCode.AO
        "ATA" -> CountryCode.AQ
        "ASM" -> CountryCode.AS
        "ARG" -> CountryCode.AR
        "AUS" -> CountryCode.AU
        "AUT" -> CountryCode.AT
        "ABW" -> CountryCode.AW
        "IND" -> CountryCode.IN
        "ALA" -> CountryCode.AX
        "AZE" -> CountryCode.AZ
        "IRL" -> CountryCode.IE
        "IDN" -> CountryCode.ID
        "UKR" -> CountryCode.UA
        "QAT" -> CountryCode.QA
        "MOZ" -> CountryCode.MZ
        "RKS" -> CountryCode.XK
        else -> {
            throw Exception("Invalid country code")
        }
    }
}
